
#include <zephyr/drivers/gpio.h>

#ifndef P_GPIO_H
	#define P_GPIO_H
	
	int p_gpio_init();
	int p_gpio_init_pins();
	int p_gpio_pin_init(const struct device* gpio, uint8_t pin, uint32_t flags);

	int p_gpio_get_pin(uint8_t gpio, uint8_t pin);
	int p_gpio_set_pin(uint8_t gpio, uint8_t pin, bool value);

	int p_gpio_pin_callback_init(uint8_t gpio, uint8_t pin, uint32_t pin_flags, gpio_callback_handler_t callback, struct gpio_callback* callback_data, uint32_t callback_flags);
#endif